C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Keys.Encryption.DeleteAsync(
"kid"
);
}
}
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Keys.Encryption.Delete(
context.TODO(),
"kid",
)
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.keys().encryption().delete("kid");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->keys->encryption->delete(
'kid',
);
from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.keys.encryption.delete(
kid="kid",
)
require "auth0"
client = Auth0::Management.new(token: "<token>")
client.keys.encryption.delete(kid: "kid")
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.keys.encryption.delete("kid");
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.keys.encryption.delete("kid");
}
main();
curl --request DELETE \
--url https://{tenantDomain}/api/v2/keys/encryption/{kid} \
--header 'Authorization: Bearer <token>'Delete the encryption key by its key id
Delete the custom provided encryption key with the given ID and move back to using native encryption key.
DELETE
https://{tenantDomain}/api/v2
/
keys
/
encryption
/
{kid}
C#
using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementClient(
token: "<token>"
);
await client.Keys.Encryption.DeleteAsync(
"kid"
);
}
}
package example
import (
context "context"
client "github.com/auth0/go-auth0/management/management/client"
option "github.com/auth0/go-auth0/management/management/option"
)
func do() {
client := client.NewClient(
option.WithToken(
"<token>",
),
)
client.Keys.Encryption.Delete(
context.TODO(),
"kid",
)
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.token("<token>")
.build();
client.keys().encryption().delete("kid");
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Management;
$client = new Management(
token: '<token>',
);
$client->keys->encryption->delete(
'kid',
);
from auth0.management import ManagementClient
client = ManagementClient(
token="<token>",
)
client.keys.encryption.delete(
kid="kid",
)
require "auth0"
client = Auth0::Management.new(token: "<token>")
client.keys.encryption.delete(kid: "kid")
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.keys.encryption.delete("kid");
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
token: "<token>",
});
await client.keys.encryption.delete("kid");
}
main();
curl --request DELETE \
--url https://{tenantDomain}/api/v2/keys/encryption/{kid} \
--header 'Authorization: Bearer <token>'Was this page helpful?
⌘I